DOM::HTMLInputElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLInputElement Class Reference

Form control. More...

`#include <html_form.h>`

Inheritance diagram for DOM::HTMLInputElement:

[legend]
Collaboration diagram for DOM::HTMLInputElement:

[legend]
List of all members.

## Public Member Functions
| HTMLInputElement (const HTMLInputElement &other)
| HTMLInputElement (const Node &other)
HTMLInputElement & | operator= (const HTMLInputElement &other)
HTMLInputElement & | operator= (const Node &other)
DOMString | defaultValue () const
| Stores the initial control value (i.e., the initial value of `value` ).
void | setDefaultValue (const DOMString &)
| see defaultValue
bool | defaultChecked () const
| When `type` has the value "Radio" or "Checkbox", stores the initial value of the `checked` attribute.
void | setDefaultChecked (bool)
| see defaultChecked
HTMLFormElement | form () const
| This class or method is obsolete, it is provided for compatibility only..
DOMString | accept () const
| A comma-separated list of content types that a server processing this form will handle correctly.
void | setAccept (const DOMString &)
| see accept
DOMString | accessKey () const
| A single character access key to give access to the form control.
void | setAccessKey (const DOMString &)
| see accessKey
DOMString | align () const
| Aligns this object (vertically or horizontally) with respect to its surrounding text.
void | setAlign (const DOMString &)
| see align
DOMString | alt () const
| Alternate text for user agents not rendering the normal content of this element.
void | setAlt (const DOMString &)
| see alt
bool | checked () const
| Describes whether a radio or check box is checked, when `type` has the value "Radio" or "Checkbox".
void | setChecked (bool)
| see checked
bool | disabled () const
| The control is unavailable in this context.
void | setDisabled (bool)
| see disabled
long | maxLength () const
| Maximum number of characters for text fields, when `type` has the value "Text" or "Password".
void | setMaxLength (long)
| see maxLength
DOMString | name () const
| Form control or object name when submitted with a form.
void | setName (const DOMString &)
| see name
bool | readOnly () const
| This control is read-only.
void | setReadOnly (bool)
| see readOnly
DOMString | size () const
| This class or method is obsolete, it is provided for compatibility only.
void | setSize (const DOMString &)
| This class or method is obsolete, it is provided for compatibility only.
long | getSize () const
| Size information.
void | setSize (long)
| see getSize
DOMString | src () const
| When the `type` attribute has the value "Image", this attribute specifies the location of the image to be used to decorate the graphical submit button.
void | setSrc (const DOMString &)
| see src
long | tabIndex () const
| Index that represents the element's position in the tabbing order.
void | setTabIndex (long)
| see tabIndex
DOMString | type () const
| The type of control created.
void | setType (const DOMString &)
| see type
DOMString | useMap () const
| Use client-side image map.
void | setUseMap (const DOMString &)
| see useMap
DOMString | value () const
| The current form control value.
void | setValue (const DOMString &)
| see value
void | blur ()
| Removes keyboard focus from this element.
void | focus ()
| Gives keyboard focus to this element.
void | select ()
| Select the contents of the text area.
void | click ()
| Simulate a mouse-click.
## Protected Member Functions
| HTMLInputElement (HTMLInputElementImpl *impl)

## Detailed Description

Form control.

Note. Depending upon the environment the page is being viewed, the value property may be read-only for the file upload input type. For the "password" input type, the actual value returned may be masked to prevent unauthorized use. See the INPUT element definition in HTML 4.0.

Definition at line 336 of file html_form.h.

## Member Function Documentation

DOMString HTMLInputElement::defaultValue | ( |  | ) | const

| Stores the initial control value (i.e., the initial value of `value` ). Definition at line 317 of file html_form.cpp. References DOM::DOMString::isNull().

void HTMLInputElement::setDefaultValue | ( | const DOMString & |  | ) |

| see defaultValue Definition at line 326 of file html_form.cpp.

bool HTMLInputElement::defaultChecked | ( |  | ) | const

| When `type` has the value "Radio" or "Checkbox", stores the initial value of the `checked` attribute. Definition at line 331 of file html_form.cpp.

void HTMLInputElement::setDefaultChecked | ( | bool |  | ) |

| see defaultChecked Definition at line 337 of file html_form.cpp.

HTMLFormElement HTMLInputElement::form | ( |  | ) | const

| This class or method is obsolete, it is provided for compatibility only.. ### KDE 4.0: remove. Reimplemented from DOM::Element. Definition at line 343 of file html_form.cpp.

DOMString HTMLInputElement::accept | ( |  | ) | const

| A comma-separated list of content types that a server processing this form will handle correctly. See the accept attribute definition in HTML 4.0. Definition at line 348 of file html_form.cpp.

void HTMLInputElement::setAccept | ( | const DOMString & |  | ) |

| see accept Definition at line 354 of file html_form.cpp.

DOMString HTMLInputElement::accessKey | ( |  | ) | const

| A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0. Definition at line 359 of file html_form.cpp.

void HTMLInputElement::setAccessKey | ( | const DOMString & |  | ) |

| see accessKey Definition at line 365 of file html_form.cpp.

DOMString HTMLInputElement::align | ( |  | ) | const

| Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 370 of file html_form.cpp.

void HTMLInputElement::setAlign | ( | const DOMString & |  | ) |

| see align Definition at line 376 of file html_form.cpp.

DOMString HTMLInputElement::alt | ( |  | ) | const

| Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.0. Definition at line 381 of file html_form.cpp.

void HTMLInputElement::setAlt | ( | const DOMString & |  | ) |

| see alt Definition at line 387 of file html_form.cpp.

bool HTMLInputElement::checked | ( |  | ) | const

| Describes whether a radio or check box is checked, when `type` has the value "Radio" or "Checkbox". The value is TRUE if explicitly set. Represents the current state of the checkbox or radio button. See the checked attribute definition in HTML 4.0. Definition at line 392 of file html_form.cpp.

void HTMLInputElement::setChecked | ( | bool |  | ) |

| see checked Definition at line 398 of file html_form.cpp.

bool HTMLInputElement::disabled | ( |  | ) | const

| The control is unavailable in this context. See the disabled attribute definition in HTML 4.0. Definition at line 404 of file html_form.cpp.

void HTMLInputElement::setDisabled | ( | bool |  | ) |

| see disabled Definition at line 410 of file html_form.cpp.

long HTMLInputElement::maxLength | ( |  | ) | const

| Maximum number of characters for text fields, when `type` has the value "Text" or "Password". See the maxlength attribute definition in HTML 4.0. Definition at line 418 of file html_form.cpp.

void HTMLInputElement::setMaxLength | ( | long |  | ) |

| see maxLength Definition at line 424 of file html_form.cpp. References QString::number(), and value().

DOMString HTMLInputElement::name | ( |  | ) | const

| Form control or object name when submitted with a form. See the name attribute definition in HTML 4.0. Definition at line 432 of file html_form.cpp.

void HTMLInputElement::setName | ( | const DOMString & |  | ) |

| see name Definition at line 438 of file html_form.cpp.

bool HTMLInputElement::readOnly | ( |  | ) | const

| This control is read-only. When `type` has the value "text" or "password" only. See the readonly attribute definition in HTML 4.0. Definition at line 443 of file html_form.cpp.

void HTMLInputElement::setReadOnly | ( | bool |  | ) |

| see readOnly Definition at line 449 of file html_form.cpp.

DOMString HTMLInputElement::size | ( |  | ) | const

| This class or method is obsolete, it is provided for compatibility only. Definition at line 456 of file html_form.cpp.

void HTMLInputElement::setSize | ( | const DOMString & |  | ) |

| This class or method is obsolete, it is provided for compatibility only. Definition at line 462 of file html_form.cpp.

long HTMLInputElement::getSize | ( |  | ) | const

| Size information. The precise meaning is specific to each type of field. See the size attribute definition in HTML 4.0. Definition at line 467 of file html_form.cpp.

void HTMLInputElement::setSize | ( | long |  | ) |

| see getSize Definition at line 473 of file html_form.cpp. References QString::number().

DOMString HTMLInputElement::src | ( |  | ) | const

| When the `type` attribute has the value "Image", this attribute specifies the location of the image to be used to decorate the graphical submit button. See the src attribute definition in HTML 4.0. Definition at line 478 of file html_form.cpp. References DOM::Document::completeURL(), DOM::DOMString::isEmpty(), and DOM::Node::ownerDocument().

void HTMLInputElement::setSrc | ( | const DOMString & |  | ) |

| see src Definition at line 489 of file html_form.cpp.

long HTMLInputElement::tabIndex | ( |  | ) | const

| Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0. Definition at line 494 of file html_form.cpp.

void HTMLInputElement::setTabIndex | ( | long |  | ) |

| see tabIndex Definition at line 500 of file html_form.cpp.

DOMString HTMLInputElement::type | ( |  | ) | const

| The type of control created. See the type attribute definition in HTML 4.0. Definition at line 506 of file html_form.cpp.

void HTMLInputElement::setType | ( | const DOMString & |  | ) |

| see type Definition at line 512 of file html_form.cpp.

DOMString HTMLInputElement::useMap | ( |  | ) | const

| Use client-side image map. See the usemap attribute definition in HTML 4.0. Definition at line 518 of file html_form.cpp.

void HTMLInputElement::setUseMap | ( | const DOMString & |  | ) |

| see useMap Definition at line 524 of file html_form.cpp.

DOMString HTMLInputElement::value | ( |  | ) | const

| The current form control value. Used for radio buttons and check boxes. See the value attribute definition in HTML 4.0. Definition at line 529 of file html_form.cpp. Referenced by setMaxLength().

void HTMLInputElement::setValue | ( | const DOMString & |  | ) |

| see value Definition at line 535 of file html_form.cpp.

void HTMLInputElement::blur | ( |  | ) |

| Removes keyboard focus from this element. Definition at line 542 of file html_form.cpp.

void HTMLInputElement::focus | ( |  | ) |

| Gives keyboard focus to this element. Definition at line 548 of file html_form.cpp.

void HTMLInputElement::select | ( |  | ) |

| Select the contents of the text area. For `INPUT` elements whose `type` attribute has one of the following values: "Text", "File", or "Password". Definition at line 554 of file html_form.cpp.

void HTMLInputElement::click | ( |  | ) |

| Simulate a mouse-click. For `INPUT` elements whose `type` attribute has one of the following values: "Button", "Checkbox", "Radio", "Reset", or "Submit". Definition at line 560 of file html_form.cpp.

The documentation for this class was generated from the following files:

- html_form.h
- html_form.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:37:45 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001